// arduino Simulation for c++

// output
#include <iostream>
using namespace std;

#define byte unsigned char
const int A0 = 0;
const int A1 = 1;
const int A2 = 2;

const int INPUT = 0;
const int OUTPUT = 1;

int simu_pinMode[16];
void pinMode(int pin, int mode) {
   simu_pinMode[pin] = mode;
}
void analogWrite(int pin, int value) {
}

int simu_analogIn;
int simu_cnt = 0;
int analogRead(int pin) {
   simu_cnt++;
   if (simu_cnt >= 3)
      return 1023;
   return simu_analogIn;
}
void digitalWrite(int pin, int value) {
}
void delay(int milliseconds) {
}

class SerialClass {
public:
   void begin(int baudrate) {
   }
   void print(float value) {
      std::cout << value;
   }
   void println(float value) {
      std::cout << value << std::endl;
   }
   void print(const char ln[]) {
      std::cout << ln;
   }
   void println(const char ln[]) {
      std::cout << ln << std::endl;
   }
};

SerialClass Serial;


